#include <iotms470r1a256.h>
#include <string.h>
#include "system.h"
#include "lcd.h"


int main()
{
  // Init frequency
  InitFreq();

  // Init buttons
  InitButtons();

  // Init LCD
  LCDInit();

  // Write to LCD
  LCDSendTxt(" WWW.OLIMEX.COM");

  while(1) {

    // press button 1
    if(GIODINA_bit.GIODIN1 == 0) {
      LCDLightOn();
    }

    // press button 2
    if(GIODINA_bit.GIODIN2 == 0) {
      LCDLightOff();
    }

    // press button 3
    if(GIODINA_bit.GIODIN3 == 0) {

    }
  }

}
